<?php
  
/*
-------------------
Услуга смены логина
-------------------
*/
  
IF (POST('ok')){
  
  $login = CLEARSPECIALCHARS(ADSL(POST('login')));
  
  IF ($user['MONEY'] < 100){
    
    ERROR('Недостаточно денег на счету', 'session');
    $err_data = 1;
  
  }
  
  IF (STR($login) > CONFIG('REG_STR')){
    
    ERROR('Слишком длинный логин', 'session');
    $err_data = 1;
  
  }
  
  IF (STR($login) < 3){
    
    ERROR('Логин не может быть меньше 3 символов', 'session');
    $err_data = 1;
  
  }
  
  IF (CONFIG('REG_DOUBLE') == 0){
    
    IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `LOGIN` = '".TEXT_ABSOLUTE($login)."'") == 1) {
      
      ERROR('Этот логин уже занят. Придумайте другой', 'session');
      $err_data = 1;          
    
    }
  
  }
  
  IF (CONFIG('REG_LANG') == 1){
    
    IF (!PREG_MATCH("#^([A-z0-9\_])+$#ui", $login)) {
      
      ERROR('В логине присутствуют запрещенные символы', 'session');
      $err_data = 1;
    
    }
    
    IF (!PREG_MATCH("#[a-z]+#ui", $login)) {
      
      ERROR('В логине допускаются только буквы английского алфавита и цифры', 'session');
      $err_data = 1;
    
    }
  
  }
  
  IF (CONFIG('REG_LANG') == 2){
    
    IF (!PREG_MATCH("#^([А-я0-9\_])+$#ui", $login)) {
      
      ERROR('В логине присутствуют запрещенные символы', 'session');
      $err_data = 1;
    
    }
    
    IF (!PREG_MATCH("#[а-я]+#ui", $login)) {
      
      ERROR('В логине допускаются только буквы русского алфавита и цифры', 'session');
      $err_data = 1;
    
    }
  
  }
  
  IF (CONFIG('REG_LANG') == 0){
    
    IF (!PREG_MATCH("#^([A-zА-я0-9\_])+$#ui", $login)) {
      
      ERROR('В логине присутствуют запрещенные символы', 'session');
      $err_data = 1;
    
    }
    
    IF (!PREG_MATCH("#[а-яa-z]+#ui", $login)) {
      
      ERROR('В логине допускаются только буквы английского и русского алфавитов, а также цифры', 'session');
      $err_data = 1;
    
    }
  
  }
  
  IF (PREG_MATCH("#(^\ )|(\ $)#ui", $login)) {
    
    ERROR('Запрещено использовать пробел в начале и конце ника', 'session');    
    $err_data = 1;
  
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/users/shop/?section=login');
  
  }
  
  DB::GET_SET("UPDATE `USERS` SET `LOGIN` = '".$login."', `MONEY` = '".($user['MONEY'] - 100)."' WHERE `ID` = '".$user['ID']."' LIMIT 1");
    
  SUCCESS('Логин успешно сменен', 'session');
  REDIRECT('/id'.$user['ID'].'');

}
  
ECHO "<div class='list'><center><b>".LG('Смена логина')."<br />".LG('Стоимость услуги').": ".MONEY(100, CONFIG('MONEY'), 3)."</b></center></div>";
  
ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/users/shop/?section=login'>";
  
ECHO "<b>".LG('Придумайте логин')."</b> ";

IF (CONFIG('REG_LANG') == 1){
  
  ECHO "(".LG('Например:')." <b>Ivan Ivanov</b>, 3-".CONFIG('REG_STR')." ".LG('символов, только английские буквы')."):<br />";

}ELSEIF (CONFIG('REG_LANG') == 2){
  
  ECHO "(".LG('Например:')." <b>Иван Иванов</b>, 3-".CONFIG('REG_STR')." ".LG('символов, только русские буквы')."):<br />";

}ELSEIF (CONFIG('REG_LANG') == 0){
  
  ECHO "(".LG('Например:')." <b>Иван Иванов</b> ".LG('или')." <b>Ivan Ivanov</b>, 3-".CONFIG('REG_STR')." ".LG('символов, только русские и английские буквы')."):<br />";

}
  
HTML::INPUT('login', 'Логин', NULL, CONFIG('REG_STR'), NULL, 'form-control-100');

HTML::BUTTON('btn-big ajax-button', 'ok', 'pencil', 'Сменить логин');
  
ECHO "</form>";

ECHO "</div>";
  
?>